#!/bin/bash

# Navigate into directory that you already defined
cd $WORKSPACE_HOME

mkdir docker-rhodecode && cd docker-rhodecode

# To quickly get and install rcstack run this command
curl -L -s -o rcstack https://dls.rhodecode.com/get-rcstack && chmod +x rcstack
./rcstack init

# Init command will setup docker, and dev-tools. Please check available options using
curl -L -s -o dev-tools https://code.rhodecode.com/rhodecode-enterprise-docker/raw/master/scripts/dev-tools/dev-tools && chmod +x dev-tools
./dev-tools --help

# Navigate back to the parent directory
cd ..

# Clone repositories
hg clone https://code.rhodecode.com/internal/rhodecode-vcsserver
hg clone https://code.rhodecode.com/internal/rhodecode-enterprise-ce
hg clone https://code.rhodecode.com/internal/rhodecode-enterprise-ee

cd $WORKSPACE_HOME/docker-rhodecode

# First start with setting up a dev builds for dev images
./rcstack cli set-runtime-image beta

cd $WORKSPACE_HOME/docker-rhodecode

# To start developing we need few services to run, we can run this using `dev-env`
./dev-tools dev-env

cd $WORKSPACE_HOME/docker-rhodecode

# You can check the status of services by running
./rcstack status

# Copy the runtime.env as our dev.env:
cp .custom/.runtime.env .custom/.dev.env

cd $WORKSPACE_HOME/rhodecode-vcsserver
mkdir -p .dev/
echo "make sh" > .dev/dev-env.sh && chmod +x .dev/dev-env.sh

cd $WORKSPACE_HOME/rhodecode-enterprise-ce
mkdir -p .dev/
echo "make sh" > .dev/dev-env.sh && chmod +x .dev/dev-env.sh

cd $WORKSPACE_HOME/rhodecode-vcsserver && cp ../docker-rhodecode/config/_shared/vcsserver.ini .dev/dev.ini

cd $WORKSPACE_HOME/rhodecode-enterprise-ce && cp ../docker-rhodecode/config/_shared/rhodecode.ini .dev/dev.ini
